Part Helix: Difference between revisions

From FreeCAD Documentation
(Removed the UnfinishedDocu template.)
(Marked this version for translation)
 
Line 31: Line 31:
== Usage == <!--T:4-->
== Usage == <!--T:4-->


<!--T:20-->
See [[Part_Primitives#Usage|Part Primitives]].
See [[Part_Primitives#Usage|Part Primitives]].


== Example ==
== Example == <!--T:21-->


<!--T:22-->
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]


<!--T:23-->
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.


Line 44: Line 47:
* A Part Helix can be used to create screw threads. See [[Thread_for_Screw_Tutorial|Thread for Screw Tutorial]].
* A Part Helix can be used to create screw threads. See [[Thread_for_Screw_Tutorial|Thread for Screw Tutorial]].


== Properties ==
== Properties == <!--T:24-->


<!--T:25-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:26-->
A Part Helix object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Helix object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:27-->


<!--T:28-->
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


<!--T:29-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


<!--T:30-->
{{TitleProperty|Coordinate System}}
{{TitleProperty|Coordinate System}}


<!--T:31-->
* {{PropertyData|Local Coord|Enumeration}}: The [https://en.wikipedia.org/wiki/Screw_thread handedness], or direction, of the helix: {{Value|Right-handed}} or {{Value|Left-handed}}. The default is {{Value|Right-handed}}, meaning the helix turns counterclockwise as it goes up.
* {{PropertyData|Local Coord|Enumeration}}: The [https://en.wikipedia.org/wiki/Screw_thread handedness], or direction, of the helix: {{Value|Right-handed}} or {{Value|Left-handed}}. The default is {{Value|Right-handed}}, meaning the helix turns counterclockwise as it goes up.


<!--T:32-->
{{TitleProperty|Helix}}
{{TitleProperty|Helix}}


<!--T:33-->
* {{PropertyData|Pitch|Length}}: The distance between two consecutive turns of the helix measured along its Z axis. The default is {{Value|1mm}}.
* {{PropertyData|Pitch|Length}}: The distance between two consecutive turns of the helix measured along its Z axis. The default is {{Value|1mm}}.
* {{PropertyData|Height|Length}}: The height of the helix. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the helix. The default is {{Value|2mm}}.
Line 68: Line 79:
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° &lt; value &lt; 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° &lt; value &lt; 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.


== Scripting ==
== Scripting == <!--T:34-->


<!--T:35-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:36-->
A Part Helix can be created with the {{Incode|addObject()}} method of the document:
A Part Helix can be created with the {{Incode|addObject()}} method of the document:


Line 80: Line 93:
<translate>
<translate>


<!--T:37-->
* Where {{Incode|"myHelix"}} is the name for the object.
* Where {{Incode|"myHelix"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:38-->
Example:
Example:



Latest revision as of 10:17, 3 March 2022

Part Helix

Menu location
Part → Create primitives → Helix
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Helix is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.

Usage

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Notes

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DataLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DataPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DataHeight (Length): The height of the helix. The default is 2mm.
  • DataRadius (Length): The start radius of the helix. The helix has a constant radius if DataAngle is .
  • DataSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DataAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()